/*
	Exercice 6.4 de Bell&Parr
*/

import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;


public class OvaleScrollbar extends Applet implements AdjustmentListener{
  private Scrollbar horiz, vert;
  private int horizVal=10, vertVal=10;

  public void init() {
    setLayout(new BorderLayout());
    horiz = new Scrollbar(Scrollbar.HORIZONTAL,0,10,horizVal,110);
    add("South",horiz);
    horiz.addAdjustmentListener(this);
    vert = new Scrollbar(Scrollbar.VERTICAL,0,10,vertVal,110);
    add("East",vert);
    vert.addAdjustmentListener(this);
  }	

  public void paint( Graphics g ) {
    g.drawOval( 30, 30,horizVal,vertVal );
    g.drawString(horizVal+" x "+vertVal,20,20);
  }

  public void adjustmentValueChanged(AdjustmentEvent e){
    horizVal = horiz.getValue()*3;
    vertVal  = vert.getValue()*3;
    repaint();
  }
}

