/*

  Si MouseMotionListener est implmente nous devons
  dfinir les deux mthodes mouseDragged et mouseMoved.

  mouseDragged:
  -------------
  bouton de la souris est press souris dplace
  public void mouseDragged(MouseEvent e) ...

  mouseMoved:
  -----------
  souris dplace et le curseur se trouve dans un composant
  public void mouseMoved(MouseEvent e) ...

*/


import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class SourisApplet extends Applet implements MouseMotionListener {

    Point dernierePositionConnue = null;

    public void init () {
	addMouseMotionListener(this);
    }

    public void paint (Graphics g) {
	g.drawString ("X: " + dernierePositionConnue.x, 50, 40);
	g.drawString ("Y: " + dernierePositionConnue.y, 50, 80);
    }

    public void mouseDragged (MouseEvent evt) {}

    public void mouseMoved (MouseEvent evt) {
	dernierePositionConnue = evt.getPoint();
	repaint();
    }

}
