/*

  Si MouseListener est implmente nous devons
  dfinir les 5 mthodes:


  public void mousePressed(MouseEvent e) ...
  public void mouseClicked(MouseEvent e) ...
  public void mouseReleased(MouseEvent e) ...
  public void mouseEntered(MouseEvent e) ...
  public void mouseExited(MouseEvent e) ...


*/


import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class SourisClics extends Applet implements MouseListener {

    Point dernierePositionConnue = null;
    String typeMouvement = "";

    public void init () {
	addMouseListener(this);
    }

    public void paint (Graphics g) {
	g.drawString ("X: " + dernierePositionConnue.x, 50, 40);
	g.drawString ("Y: " + dernierePositionConnue.y, 50, 80);
	g.drawString (typeMouvement, 50, 100);
    }


    public void mousePressed(MouseEvent evt) {
	dernierePositionConnue = evt.getPoint();
	typeMouvement="mousePressed";
	System.out.println("type de Mouvement: " + typeMouvement);
	repaint();
    }
    public void mouseClicked(MouseEvent evt) {
	dernierePositionConnue = evt.getPoint();
	typeMouvement="mouseClicked";
	System.out.println("type de Mouvement: " + typeMouvement);
	repaint();
    }
    public void mouseReleased(MouseEvent evt) {
	dernierePositionConnue = evt.getPoint();
	typeMouvement="mouseReleased";
	System.out.println("type de Mouvement: " + typeMouvement);
	repaint();
    }
    public void mouseEntered(MouseEvent evt) {
	dernierePositionConnue = evt.getPoint();
	typeMouvement="mouseEntred";
	System.out.println("type de Mouvement: " + typeMouvement);
	repaint();
    }
    public void mouseExited(MouseEvent evt) {
	dernierePositionConnue = evt.getPoint();
	typeMouvement="mouseExited";
	System.out.println("type de Mouvement: " + typeMouvement);
	repaint();
    }

}
